﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Core;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Random rand = new Random();

            DataTable dt = new DataTable();
            dt.Columns.Add("date", typeof(DateTime));
            dt.Columns.Add("value", typeof(double));
            dt.Columns.Add("label", typeof(string));

            for (int i = 0; i < 100; i++)
            {
                dt.Rows.Add(DateTime.Now.AddDays(i), rand.Next(-50, 50), "label " + i);
            }

            this.ultraGrid1.DataSource = dt;

            ultraChart1.LineChart.TreatDateTimeAsString = false;
            ultraChart1.Data.SwapRowsAndColumns = true;

        }

        private void button1_Click(object sender, EventArgs e)
        {
            ultraChart1.Series.Clear();
            NumericTimeSeries ntsValues = null;
            List<NumericTimeSeries> lstAKBM = new List<NumericTimeSeries>();
            bool blnFound;
            foreach (UltraGridRow row in ultraGrid1.Rows)
            {
                blnFound = false;

                string strLabel = row.GetCellValue("label").ToString();
                DateTime dtmThis = DateTime.Parse(row.GetCellValue("date").ToString());
                double dblAmount = double.Parse(row.GetCellValue("value").ToString());

                foreach (NumericTimeSeries ntsFind in lstAKBM)
                {
                    if (ntsFind.Key.Equals(strLabel))
                    {
                        blnFound = true;
                        ntsValues = ntsFind;
                        break;
                    }
                }
                if (!blnFound)
                {
                    ntsValues = new NumericTimeSeries();
                    ntsValues.Key = strLabel;
                    ntsValues.Label = strLabel;
                }
                ntsValues.Points.Add(new NumericTimeDataPoint(dtmThis,
                                                              dblAmount,
                                                              dtmThis.ToShortDateString(),
                                                              false));
                if (!blnFound)
                {
                    ultraChart1.Series.Add(ntsValues);
                    lstAKBM.Add(ntsValues);
                }
            }

        }
    }
}
